Update tarball

Bug #1899899 reported by Bob B.
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Gweled
Undecided
Unassigned

Bug Description

Consider updating the source tarball as it hasn't been updated in ages. I'm not running a Debian-based distro and my only option for playing Gweled is compiling it, I encountered this bug:
https://bugs.launchpad.net/gweled/+bug/1741664
and fixed it by applying the patch linked on the page, then I encountered this bug:
https://bugs.launchpad.net/gweled/+bug/774700
but couldn't fix it because there was no patch linked.
Please update the tarball!

Revision history for this message
Bob B. (bobbyjustwantedtosay) wrote :

P.S.: who uses launchpad en lieu of github/gitlab?
P.S.S: why not provide an AppImage or a portable binary?

Revision history for this message
Daniele Napolitano (dnax88) wrote :

Hi, have you tried to compile from the current Bazaar version?

The bugs that you are experiencing are fixed.

Thanks,
best regards.

Revision history for this message
Bob B. (bobbyjustwantedtosay) wrote :

Hello, I just tried the latest Bezaar trunk and it errored during ./configure , the error was this:
./configure: 6386: Syntax error: word unexpected (expecting ")")
Also the readme file is empty, and the install file is a stock one.

No worries though, a while after I opened this issue I stumbled upon the sdl_mixer version of Gweled ( https://github.com/Marisa-Chan/gweled-sdl_mixer ) and was able to successfully compile it after applying the librsvg patch I linked above.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers